/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 
section.dashboard {

  // stats
  .small-box {
    min-height: 128px;
    @include opacity(1);
    @include transition(opacity .15s linear);
  }

  [data-ajax-content]:not(.ajax-processed) {
    .row > div {
      @include spinner(25px);
      &::after {
        border-color: #FFF;
        border-top-color: $brand-primary;
        top: 50%;
        margin-top: -22px;
      }
    }
    .small-box {
      @include opacity(.2);
    }
  }

  // box
  .box-body {
    @include opacity(1);
    @include transition(opacity .15s linear);
    padding:10px 15px;
  }

  [data-ajax-content]:not(.ajax-processed) {
    .box {
      @include spinner(25px);
      &::after {
        top: 50%;
        margin-top: 5px;
      }
    }
    .box-body {
      min-height: 40px;
      @include opacity(.2);
    }
  }
}

/***
* Stats
***/
.widget-stats {
  .tab-content {
    position: relative;
    overflow: hidden;
  }
  .tab-content > .tab-pane {
    display: block;
    position: absolute;
    width: 100%;
    top:-100000px;
    &.active {
      position: relative;
      top: 0px;
    }
  }
}

/***
* Centre de support
***/
.widget-support {
  .box-body > ul {

    @include list-unstyled;
    > li {
      @include clearfix();
      border-bottom: 1px solid $box-border-color;
      padding: 10px;
      margin: 0;
      &:last-of-type {
        border-bottom: none;
      }

      &:hover {
        background-color: $table-bg-accent;
      }

      .fa {
        width: 30px;
        height: 30px;
        font-size: 15px;
        line-height: 30px;
        position: absolute;
        color: $gray-lte;
        background: $gray-lighter;
        border-radius: 50%;
        text-align: center;
      }

      .message-info {
        margin-left: 45px;
      }
      .message-header {
        font-weight: 600;
        display: block;
        color: $gray-light;
      }
      .message-date {
        font-weight: normal;
      }

      .message-text {
        color:$text-muted
      }

    }
  }
}